<template>
  <div class="tariff-item">
    <div class="tariff-item-price">
      <div class="tariff-item-total">
        <ob-radio
          :label="`${formatNumber(tariff.totalPrice / 100, {
            dot: 2,
          })} ₽`"
          :valueInput="tariff.tariffUuid + ''"
          name="tariff"
          :data-qa="'price_' + index"
          v-model="activeTariff"
          @change="onTariffChanged"
        />
        <span v-if="tariff.vat && tariff.vat !== 0"> Без НДС </span>
      </div>
      <obTooltip
        :content="`Договор ${tariff.number}. Нажмите, чтобы открыть в новой вкладке.`"
        position="top-end"
      >
        <i class="icon document" @click="openContractPage(tariff)"></i>
      </obTooltip>
    </div>
    <span class="tariff-item-vat">
      <template v-if="tariff.vat && tariff.vat !== 0">
        НДС
        {{
          (((tariff.totalPrice / 100) * tariff.vat) / 100)
            | currency({ dot: 2 })
        }}
        ₽
      </template>
      <template v-else>НДС не облагается</template>
    </span>
    <span>
      <i :class="['icon', tariff.roleIcon]"></i>
      {{ tariff.contractorTitle }}
    </span>
  </div>
</template>

<script>
import { formatNumber } from "common-components/src/helpers/common";
import obRadio from "common-components/src/obComponents/obRadio";
import obTooltip from "common-components/src/obComponents/obTooltip";
export default {
  name: "draftTariff",

  props: {
    tariff: {
      type: Object,
      required: true,
    },

    index: {
      type: [String, Number],
    },

    shouldBeChecked: {
      type: Boolean
    }
  },

  components: {
    obRadio,
    obTooltip,
  },

  data() {
    return {
      activeTariff: null,
    };
  },

  watch: {
    shouldBeChecked: {
      handler: function(newVal) {
        if (newVal) {
          this.activeTariff = this.tariff.tariffUuid;
        } else {
          this.activeTariff = null;
        }
      },
      immediate: true
    }
  },

  methods: {
    formatNumber,

    openContractPage(item) {
      console.log("🚀 ~ waiting for backend to give us contract uuid", item);
      // const { href } = this.$router.resolve(`/contract/${item.uuid}`);
      // window.open(href, '_blank');
    },

    onTariffChanged() {
      this.$emit("tariffChanged", this.activeTariff);
    },
  },
};
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
@import "~common-components/src/static/css/variables";

.tariff-item {
  &:not(:last-child) {
    margin-bottom: 25px;
  }
  ::v-deep {
    .ob-radio-container label {
      font-weight: bold;
      font-size: 20px;
      line-height: 24px;
      // color: $gray-slate;
    }
  }
}

.tariff-item-price {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 15px;

  &::v-deep {
    .icon {
      color: #0070a6;
      cursor: pointer;
    }
  }
}

.tariff-item-total {
  display: flex;
  align-items: flex-end;

  span {
    margin-top: 0;
    margin-bottom: 3px;
    margin-left: 0.5em;
  }
}

.tariff-item-vat {
  font-size: 12px;
  margin-bottom: 6px;
}

span {
  display: flex;
  align-items: center;
  margin-left: 25px;
  margin-top: 6px;
  font-weight: normal;
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 0.4px;
  color: $gray-slate;

  .icon {
    margin-right: 5px;
    color: #004bc8;
  }
}
</style>